package com.bsz.school_send_back_end.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Excel订单信息导出
 *
 * @author ASUS
 */
@Data
public class OrdersExcelVO {

    /**
     * 订单编号
     */
    @ColumnWidth(20)
    @NumberFormat("#")
    @ExcelProperty(value = "订单编号", index = 0)
    private Long id;

    /**
     * 下单时间
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "下单时间", index = 1)
    private String createTime;

    /**
     * 手机号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "手机号", index = 2)
    private String phone;

    /**
     * 支付状态
     */
    @ExcelProperty(value = "支付状态", index = 3)
    private String state;

    /**
     * 订单金额
     */
    @NumberFormat("0.00")
    @ExcelProperty(value = "订单金额")
    private BigDecimal totalPrice;
}
