package com.bsz.school_send_back_end.scheduler;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.bsz.school_send_back_end.model.domain.Orders;
import com.bsz.school_send_back_end.service.OrdersService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.util.Date;

@Component
@Slf4j
public class UpdateOrderState {

    @Resource
    private OrdersService ordersService;

    @Scheduled(cron = "0 0 */1 * * ?")
    public void updateState() {
        LocalDateTime twelveHoursAgo = LocalDateTime.now().minusHours(12);
        LambdaUpdateWrapper<Orders> updateWrapper = new LambdaUpdateWrapper<>();
        updateWrapper.eq(Orders::getState, 4)
                .le(Orders::getCreateTime, twelveHoursAgo);
        Orders orders = new Orders();
        orders.setState(5);
        ordersService.update(orders, updateWrapper);
        log.info("订单状态修改时间: " + new Date());
    }
}
