package com.bsz.school_send_back_end.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.domain.OrderDetails;
import com.bsz.school_send_back_end.model.domain.Orders;
import com.bsz.school_send_back_end.model.dto.order.OrderQueryRequest;
import com.bsz.school_send_back_end.model.vo.OrdersVO;


import java.util.List;

/**
 * @author 玄德
 * @description 针对表【orders(订单表)】的数据库操作Service
 * @createDate 2024-04-05 17:57:44
 */
public interface OrdersService extends IService<Orders> {

    /**
     * 创建订单
     *
     * @return 订单id
     */
    long addOrder(Orders orders, List<OrderDetails> orderDetailsList);

    /**
     * 校验订单
     */
    void validOrder(Orders orders);

    /**
     * 获取订单视图信息
     */
    OrdersVO getOrdersVO(Orders orders);

    List<OrdersVO> getOrdersVO(List<Orders> ordersList);

    /**
     * 获取查询条件
     */
    QueryWrapper<Orders> getQueryWrapper(OrderQueryRequest orderQueryRequest);

}
